/* -------------------------------------------------------------------
// markItUp! Universal MarkUp Engine, JQuery plugin
// By Jay Salvat - http://markitup.jaysalvat.com/
// ------------------------------------------------------------------*/
.markItUp {
	margin:0px;
    padding:0px;
	outline:none;
}
.markItUp a:link,
.markItUp a:visited {
	color:#000;
	text-decoration:none;
}
.markItUp  {
	width:100%;
	margin:5px 0 5px 0;
}
.markItUpContainer  {
	/*font:11px Verdana, Arial, Helvetica, sans-serif;*/
}
.markItUpEditor {
	font:12px 'Courier New', Courier, monospace;
	padding:5px;
	width:100%;
	height:320px;
	clear:both; display:block;
	line-height:18px;
	overflow:auto;
    resize: vertical;
}
.markItUpPreviewFrame	{
	overflow:auto;
	background-color:#FFFFFF;
	width:99.9%;
	height:350px;
	margin:5px 0;
}

.markitupPreviewElement {
    min-height: 26px;
    padding: 2px 5px;
    border: 1px solid #e3e3e3;
    overflow-y: auto;
}

.markitupPreviewElement a:link,
.markitupPreviewElement a:visited {
	color:#305a8c;
}
.markitupPreviewElement a:hover {
    text-decoration: underline;
}

.markItUpFooter {
	width:100%;
}
.markItUpResizeHandle {
	overflow:hidden;
	width:22px; height:5px;
	margin-left:auto;
	margin-right:auto;
	background-image:url(../images/markitup/handle.png);
	cursor:n-resize;
}
.markItUpHeader {
    height: 41px;
    padding: 5px;
    background-color: #f5f5f5;
    border-top: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-radius: 4px 4px 0 0;
    border-right: 1px solid #ccc;
    padding: 5px 5px;
}

.markItUpHeader ul {
    padding-left: 0px;
}

/***************************************************************************************/
/* first row of buttons */
.markItUpHeader ul li	{
	list-style:none;
	float:left;
	position:relative;
}
.markItUpHeader ul li:hover > ul{
	display:block;
}
.markItUpHeader ul .markItUpDropMenu {
	background:transparent url(../images/markitup/menu.png) no-repeat 115% 50%;
	margin-right:5px;
}
.markItUpHeader ul .markItUpDropMenu li {
	margin-right:0px;
}
/* next rows of buttons */
.markItUpHeader ul ul {
	display:none;
	position:absolute;
	top:18px; left:0px;	
	background:#FFF;
	border:1px solid #000;
}
.markItUpHeader ul ul li {
	float:none;
	border-bottom:1px solid #000;
}
.markItUpHeader ul ul .markItUpDropMenu {
	background:#FFF url(../images/markitup/submenu.png) no-repeat 100% 50%;
}
.markItUpHeader ul .markItUpSeparator {
	margin:0 6px;
	width:1px;
	height:26px;
	overflow:hidden;
	background-color:#CCC;
}
.markItUpHeader ul ul .markItUpSeparator {
	width:auto; height:1px;
	margin:0px;
}
/* next rows of buttons */
.markItUpHeader ul ul ul {
	position:absolute;
	top:-1px; left:150px; 
}
.markItUpHeader ul ul ul li {
	float:none;
}
.markItUpHeader ul a {
	display:block;
	width:26px; height:26px;
	text-indent:-10000px;
	background-repeat:no-repeat;
	padding:3px;
	margin:0px;
}
.markItUpHeader ul ul a {
	display:block;
	padding-left:0px;
	text-indent:0;
	width:120px; 
	padding:5px 5px 5px 25px;
	background-position:2px 50%;
}
.markItUpHeader ul ul a:hover  {
	color:#FFF;
	background-color:#000;
}

/***************************************************************************************/
/* buttons customization */

.markItUpHeader .markItUpButton {
  background: #fff;
  border-radius: 0;
  border: 1px solid #ccc;
  box-sizing: border-box;
  color: #333;
  cursor: pointer;
  font-family: sans-serif;
  font-size: 14px;
  font-variant: normal;
  font-weight: normal;
  line-height: 1.42857143;
  margin: 0;
  padding: 1px;
  text-decoration: none;
  text-shadow: 0 1px 0 #fff;
  vertical-align: baseline;
  white-space: nowrap;
}

.markItUpHeader .markItUpButton a {
    background-position: 50%;
    color: #333;
}

.markItUpHeader .markItUpButton.first {
  margin-left: 3px;
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.markItUpHeader .markItUpButton ~ .markItUpButton:not(.first) {
  border-left-width: 0;
  padding-left: 2px;
}

.markItUpHeader .markItUpButton.last {
  margin-right: 3px;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.markItUpHeader .markItUpButton:focus, .markItUpHeader .markItUpButton:hover {
    background: #f7f7f7;
    background-color: #fcfcfc;
    background-image: linear-gradient(to bottom, #fff, #f7f7f7);
    background-repeat: repeat-x;
    border-color: #999;
    border-left-width: 1px;
    border-right-width: 1px;
}

.markItUpHeader .markItUpButton ~ .markItUpButton:not(.first):hover,
.markItUpHeader .markItUpButton ~ .markItUpButton:not(.first):focus,
.markItUpHeader .markItUpButton ~ .markItUpButton:not(.first):active {
    border-width: 1px;
    margin-left: -1px;
    position: relative;
}

.markItUpHeader .markItUpButton.right {
  float: right;
  margin-left: 5px;
}

.markItUpHeader .markItUpButton.long,
.markItUpHeader .markItUpButton.long a
 {
    width: auto;
    text-indent: 18px;
    font-size: 12px;
    background-position-x: 3px;
}

.markItUpHeader .markItUpButton.long a {
    padding-top: 5px;
    margin-right: 4px;
}

